<?php
/****************************************************************************************
 * SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV
 *
 * Version 1.0.0
 *
 * Copyright (C) 2006-2014  Sylvain FATOME
 * This program is free software; you can redistribute it and/or modify it under the terms
 * of the GNU General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program
 * (in the directory docs);
 * if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 *
 * Contact : galawa@free.fr
 *
 * Web : http://smi.no-ip.org
 ****************************************************************************************/

// vérification des tentatives de hack
$pos = strpos($_SERVER['PHP_SELF'], "inc.php");
if ($pos === FALSE)
    $ok_inc = TRUE;
else
    $ok_inc = FALSE;
if ($ok_inc == FALSE) header("Location: ../index.php");

include_once("../inc/fic_droits.inc.php");
include_once("../inc/fic_pw.inc.php");
include_once("../inc/fic_zc.inc.php");
include_once("../inc/func.inc.php");
include_once("../inc/func_date.inc.php");
include_once("../inc/func_geo.inc.php");
include_once("../inc/func_txt.inc.php");
include_once("../inc/lst.inc.php");
include_once("../classes/ezSQL/shared/ez_sql_core.php");
include_once("../classes/ezSQL/mysqli/ez_sql_mysqli.php");
include_once("../inc/func_sql.inc.php");
Archivelog(@$_SESSION["code_log"]);
$_SESSION["typ_filtres"] = "dev";
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>

    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
    <title>SMI - <?PHP echo _("ESPACE PRIVE"); ?> : <?PHP echo _("Liste Devises"); ?></title>

    <?PHP include_once("../inc/header.inc.php"); ?>

    <script type="text/javascript">
        <!--
        function init_all() {
            init_Body();
            init_autohref_classe('falselnkimg','');
            Focus_first();
        }

        $(document).ready(function () {
            init_all();
        });
        //-->
    </script>

</head>

<body>
<?php
include_once("../inc/entete.inc.php");
?>
<p align="center"><span class="titrepage"><?PHP echo _("LISTE DES DEVISES"); ?></span></p>
<?PHP
$url_add = "dev_maj.php?td=add&code=";

$db = open_database(DBUSER, DBPASS, DBNAME, DBHOST);

$rech = cree_strrechlstdev();
$rech .= crestr_triord($dev_titre_col, "dev_nom", FALSE, $limit);

$rows = $db->get_results($rech, ARRAY_A);
$db->disconnect();

if ($rows) {
    include_once("../inc/formr.inc.php");
    $numrows = count($rows);

    $db = open_database(DBUSER, DBPASS, DBNAME, DBHOST);

    $rech = modstr_triord($rech, $dev_titre_col, "dev_nom", TRUE, $limit);

    $rows = $db->get_results($rech, ARRAY_A);

    // *** Pagination de pied
    pagine_lst($numrows, $limit);

    // *** Affichage de la table

    echo "<table class=\"Mtable\" border=\"0\" width=\"100%\" cellpadding=\"0\" cellspacing=\"0\">\n";

    // création entête
    titlst($dev_titre_col);
    echo "<th>" . _("Cliquer") . "</th>\n";

    $i = 0;

    foreach ($rows as $row) {
        $row = encode_str($row);
        $defaut = FALSE;
        if ($row["dev_defaut"] == 1)
            $defaut = TRUE;

        // création de l'entête de ligne (TR)
        creetrlst($i, $defaut);

        echo "<td>";
        echo $row["dev_codea"];
        echo "</td>\n";
        echo "<td>";
        echo $row["dev_coden"];
        echo "</td>\n";
        echo "<td>";
        echo $row["dev_nom"];
        echo "</td>\n";
        echo "<td align=\"center\">" . $tab_lngdisp[strtolower($row["dev_lng"])] . "</td>\n";

        // CREATION lien dynamique sur icône (édition, suppression, etc...)
        echo "<td>";
        echo "<div align=\"center\">";
        $lst_maj = TRUE;
        cre_falselnk_img('', 'dev_edit_'.$row["dev_id"], 'span', 'center', _("Edition"), 'lnk', 'dev_maj.php?td=edit&ndev=' . $row["dev_id"], '../img/edit.png');
        if ($row["dev_delok"] == 1) {
            $lst_del = TRUE;
            cre_falselnk_img('', 'dev_del_'.$row["dev_id"], 'span', 'center', _("Suppression"), 'lnk', 'dev_maj.php?td=del&ndev=' . $row["dev_id"], '../img/del.png');
        }
        echo " ";
        echo "</div>";
        echo "</td>\n";

        echo "</tr>\n";

        $i++;
    }
    echo "</table>\n";
    // *** Fin affichage de la table

    $db->disconnect();

    // *** Pagination de pied
    pagine_lst($numrows, $limit);

    $taille_piedla = "";
    include_once("../inc/piedla.inc.php");
} else
    retpp();

include_once("pied.php")
?>
